org.apache.ignite.internal.processors.igfs

## Class IgfsFileWorkerBatch

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsFileWorkerBatch

All Implemented Interfaces:
  Runnable

    public abstract class IgfsFileWorkerBatch
    extends Object
    implements Runnable

Work batch is an abstraction of the logically grouped tasks.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract void` `onDone()` Callback invoked when execution finishes.
`void` `run()` Process the batch.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### run

    public void run()

Process the batch.

Specified by:
  `run` in interface `Runnable`

#### onDone

    protected abstract void onDone()

Callback invoked when execution finishes.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018